Loading...
Searching...
No Matches
CassieSearch Class Reference

`#include <Cassiopee.h>`

## Public Member Functions

| CassieSearch (CassieIndexer *index_ref)
void | removeDuplicates ()
void | search (string suffix, bool clear)
void | search (string suffix)
void | search (string suffixes[])
bool | isequal (char a, char b)
void | sort ()

## Public Attributes

map< std::string, string > | morphisms
Match * | match_limits
list< Match * > | matches
bool | ambiguity
int | nmax
int | mode
int | max_indel
int | max_subst
long | pattern_length

## Detailed Description

Search object

## Constructor & Destructor Documentation

## CassieSearch()

CassieSearch::CassieSearch | ( | CassieIndexer * | index_ref | ) |

Main constructor

Parameters

  index_ref | Indexer for sequence

## Member Function Documentation

## isequal()

bool CassieSearch::isequal | ( | char | a,
|  | char | b )

Compare two chars, with ambiguity is option is set

## removeDuplicates()

void CassieSearch::removeDuplicates | ( |  | ) |

Remove matches with same position and same length.

## search() [1/3]

void CassieSearch::search | ( | string | suffix | ) |

Search for a string in the indexed sequence. Clear all previous matches.

Parameters

  suffix | pattern to search

## search() [2/3]

void CassieSearch::search | ( | string | suffix,
|  | bool | clear )

Search for a string in the indexed sequence

Parameters

  suffix | pattern to search
  clear | Clear existing matches?

## search() [3/3]

void CassieSearch::search | ( | string | suffixes[] | ) |

Search for multiple strings

Parameters

  array | of patterns to search

## sort()

void CassieSearch::sort | ( |  | ) |

Sort matches according to positions i nascending order

## Member Data Documentation

## ambiguity

bool CassieSearch::ambiguity

Allow alphabet ambiguity search. False by default. N are by default ignored. To allow N matching, the nmax attribute must be set

## match_limits

Match* CassieSearch::match_limits

Used to store max errors allowed

## matches

list<Match*> CassieSearch::matches

List of positions in original sequence matching the search

## max_indel

int CassieSearch::max_indel

Maximum number of insertion or deletion

## max_subst

int CassieSearch::max_subst

Maximum number of substitution

## mode

int CassieSearch::mode

Search mode:

- 0: DNA
- 1: RNA
- 2: Protein

## nmax

int CassieSearch::nmax

Allow N matching with alphabet ambiguity. nmax defines the maximum number of consecutive N allowed in match.

The documentation for this class was generated from the following files:

- src/Cassiopee.h
- src/cassiopee.cxx